<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.boman.system.mapper.BomanGroupUserMapper">

    <resultMap type="com.boman.domain.BomanGroupUser" id="BomanGroupUserResult">
        <id property="id" column="id"/>
        <result property="userId" column="user_id"/>
        <result property="userName" column="user_name"/>
        <result property="groupId" column="group_id"/>
        <result property="status" column="status"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="isDel" column="is_del"/>
    </resultMap>


    <sql id="selectGroupUserVo">
        select g.id, g.user_id, g.user_name,  g.group_id, g.status, g.create_by, g.create_time, g.update_by, g.update_time, g.is_del
        from boman_group_user g
    </sql>

    <select id="selectGroupUserList" parameterType="Long" resultType="Long">
        select user_id from boman_group_user
        where group_id = {groupId}
    </select>
</mapper> 